#ifndef __CPU_H__
#define __CPU_H__

#include "xburst_types.h"

void flush_cache_all();
void init_registers(u32 *, u32, void (*)(), u32[], u8);
void init_tlb();
void map_page(u32, u32, u32, u8, u8);
void init_page_table(u32, u32, u32, u32, u8, u8);
void map_page_index(u32, u32, u32, u8, u8, u32);

#endif /* __CPU_H__ */
